<?xml version="1.0" encoding="UTF-8"?>

<externalUrls>

    <maxresults>1000</maxresults> <!-- if you want it disabled, please enter a negative number -->

    <registries>
        <urls>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>RegistriesInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <label>'name'</label>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>

        </urls>

        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </registries>

    <tags>
        <urls>
            <urlConfig>
                <key>internal</key>
                <label>internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>TagsInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </tags>

    <grants>
        <urls>
			<urlConfig>
                <key>openAIRE</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <url>https://services.openaire.eu/search/v2/api/resources?query=((oaftype exact project) and ((projectcode_nt exact "{like}")or({like}))){funderQuery}&amp;page={page}&amp;size={pageSize}&amp;format=json</url>
                <funderQuery>&amp;fq=(funder exact "{funderId}")</funderQuery>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['results'][*]['result']['metadata']['oaf:entity']['oaf:project']</path>
                    <fields>
                        <id>'originalId'</id>
                        <name>'title'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </grants>

    <projects>
        <urls>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </projects>

    <funders>
        <urls>
			<urlConfig>
                <key>servicesOpenAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/publications?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>servicesOpenAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/datasets?&amp;refine=true&amp;fields=relfunder&amp;page=0&amp;size={page}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>servicesOpenAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/software?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>servicesOpenAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/other?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </funders>

    <repositories>
        <urls>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>RepositoriesInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </repositories>


    <services>
        <urls>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>ServicesInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <label>'name'</label>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </services>


    <researchers>
        <urls>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>ResearcherInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>orcid</key>
                <label>ORCID</label>
                <ordinal>2</ordinal>
                <type>External</type>
                <url>https://pub.orcid.org/v3.0/expanded-search/?q={like}&amp;start={page}&amp;rows={pageSize}</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=UTF-8</contenttype>
                <data>
                    <path>$['expanded-result'][*]</path>
                    <fields>
                        <id>'orcid-id'</id>
                        <firstName>'given-names'</firstName>
                        <lastName>'family-names'</lastName>
                        <name>'name'</name>
                    </fields>
                </data>
                <paginationpath>$['num-found']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </researchers>


    <organisations>
        <urls>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>OrganisationInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </organisations>

    <datasets>
        <urls>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>DatasetsInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </datasets>

    <validators>
        <urls>
            <urlConfig>
                <key>zenodo</key>
                <label>Zenodo</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://zenodo.org/api/records/?page={page}&amp;size={pageSize}&amp;q="{like}"</url>
                <firstPage>1</firstPage>
                <contenttype>application/json</contenttype>
                <data>
                    <path>$[*]</path>
                    <fields>
                        <id>'conceptrecid'</id>
                        <name>'conceptdoi'</name>
                        <uri>'doi'</uri>
                        <description>'created'</description>
                    </fields>
                </data>
                <paginationpath>$['hits']['total']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>
    </validators>

</externalUrls>


